Keeping current with LiveUpdate

Symantec products depend on current information to protect your computer from newly discovered threats. Symantec makes this information available to you through LiveUpdate.

You must have Administrator access privileges to run LiveUpdate.

More Information

What gets updated

When you should update

Obtaining updates by using LiveUpdate


What gets updated

LiveUpdate obtains program and protection updates for your computer using your Internet connection.

Program updates are minor improvements to your installed product. These differ from product upgrades, which are newer versions of entire products. Program updates are usually created to extend the operating system or hardware compatibility, adjust a performance issue, or fix program errors. Program updates are released on an as-needed basis.

Some program updates may require that you restart your computer after you install them.

LiveUpdate automates the process of obtaining and installing program updates. It locates and obtains files from an Internet site, installs them, and then deletes the leftover files from your computer.

Protection updates are files that keep your Symantec products up-to-date with the latest anti-threat technology. The protection updates you receive depend on which product you are using.

Norton AntiVirus

Users of this product receive virus and security risk protection updates, which provide access to the latest virus signatures and other technology from Symantec.

Norton Confidential, Norton Confidential Online

Norton Confidential and Norton Confidential Online users receive phishing and crimeware protection updates, which are used to help identify these risks while browsing the Internet.

Norton Internet Security, Norton Security Online

In addition to the virus and security risk updates, users of this product also receive protection updates for security protection. For products that contain phishing protection, users receive phishing protection updates.

The security protection updates provide the latest predefined firewall rules, updated lists of applications that access the Internet, and Intrusion Prevention signatures. These lists are used to identify unauthorized access attempts to your computer.


When you should update

Run LiveUpdate as soon as you have installed your product. Some Symantec products run LiveUpdate automatically to keep your protection up to date. If you do not use Automatic LiveUpdate, you should run LiveUpdate once a week, or whenever new viruses are discovered.


Obtaining updates by using LiveUpdate

LiveUpdate checks for updates to all of the Symantec products that are installed on your computer.

You must have Administrator access privileges to run LiveUpdate.

If your Internet service provider does not automatically connect you to the Internet, connect to the Internet first, and then run LiveUpdate.

Also, depending upon your installation, steps two through four of the following procedure may not be necessary.

To obtain updates by using LiveUpdate

  1. At the left of the main window, under Quick Tasks, click Run LiveUpdate.

  2. In the LiveUpdate window, click Next to locate updates.

  3. If updates are available, click Next to download and install them.

  4. When the installation is complete, click Finish.